NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Tooling.ConceptPositionBuilder Class Reference

concept position builder for standard part design More...

Inheritance diagram for NXOpen.Tooling.ConceptPositionBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe NXOpen.Point[] AddLinkFeature (NXOpen.NXObject sketch)
 Creates points or inserts symbol as concept positioning object. More...
 
unsafe void AddToSelectedPoints (NXOpen.Point point)
 Adds a point where a symbol is inserted More...
 
unsafe void Clear ()
 Clears the selected points and the inserted symbols More...
 
unsafe
NXOpen.Tooling.ConceptStandardPartRecord 
GetAttributeData ()
 Gets attribute data More...
 
unsafe void GetSelectedPoints (out NXOpen.Point[] selectedPoints)
 Gets points where concept objects are inserted More...
 
unsafe void InsertSymbol (NXOpen.Point attachPoint)
 Insert a symbol at the specified point location More...
 
unsafe void SetAttributeData (NXOpen.Tooling.ConceptStandardPartRecord conceptRecord)
 Sets attribute data More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Point LocatedPoint [get, set]
 Returns or sets the located point More...
 
unsafe NXOpen.Section PartPosition [get]
 Returns the part position section More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

concept position builder for standard part design

To create a new instance of this class, use NXOpen.Tooling.ConceptPositionCollection.CreateConceptPositionBuilder

Created in NX6.0.0

Member Function Documentation

unsafe NXOpen.Point [] NXOpen.Tooling.ConceptPositionBuilder.AddLinkFeature ( NXOpen.NXObject  sketch)
inline

Creates points or inserts symbol as concept positioning object.

Created in NX12.0.2

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
sketchThe sketch where concept object locating points are created
Returns
the created concept points
unsafe void NXOpen.Tooling.ConceptPositionBuilder.AddToSelectedPoints ( NXOpen.Point  point)
inline

Adds a point where a symbol is inserted

Created in NX12.0.2

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
pointThe point where a symbol is inserted
unsafe void NXOpen.Tooling.ConceptPositionBuilder.Clear ( )
inline

Clears the selected points and the inserted symbols

Created in NX1847.0.0

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

unsafe NXOpen.Tooling.ConceptStandardPartRecord NXOpen.Tooling.ConceptPositionBuilder.GetAttributeData ( )
inline

Gets attribute data

Created in NX12.0.2

License requirements: None.

Returns
Concept standard part record with attributes
unsafe void NXOpen.Tooling.ConceptPositionBuilder.GetSelectedPoints ( out NXOpen.Point[]  selectedPoints)
inline

Gets points where concept objects are inserted

Created in NX12.0.2

License requirements: None.

Parameters
selectedPointsPoints where concept objects are inserted
unsafe void NXOpen.Tooling.ConceptPositionBuilder.InsertSymbol ( NXOpen.Point  attachPoint)
inline

Insert a symbol at the specified point location

Created in NX12.0.2

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
attachPointThe point where a symbol is inserted
unsafe void NXOpen.Tooling.ConceptPositionBuilder.SetAttributeData ( NXOpen.Tooling.ConceptStandardPartRecord  conceptRecord)
inline

Sets attribute data

Created in NX12.0.2

License requirements: ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR ug_die_design ("Die Design")

Parameters
conceptRecordConcept standard part record with attributes

Property Documentation

unsafe NXOpen.Point NXOpen.Tooling.ConceptPositionBuilder.LocatedPoint
getset

Returns or sets the located point

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Section NXOpen.Tooling.ConceptPositionBuilder.PartPosition
get

Returns the part position section

Created in NX6.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.